{% extends "base.html" %}

{% block content %}
    <h1>My Tasks</h1>
        {% if not list %}
            <p>You have no tasks</p>
        {% else %}
            <table>
                <tr>
                    <th>Name</th>
                    <th>Start date</th>
                    <th>Due date</th>
                    <th>Is completed</th>
                </tr>
                {% for task in list %}
                    <tr>
                        <td>{{task.name}}</td>
                        <td>{{task.start_date}}</td>
                        <td>{{task.due_date}}</td>
                        <td>{{task.is_completed|yesno}}</td>
                    </tr>
                {% endfor %}
            </table>
        {% endif %}
{% endblock content %}
